gd_getdata64(3)

NAME
gd_getdata64 — retrieve data from a dirfile database with largefile support

SYNOPSIS
#define _LARGEFILE64_SOURCE

#include <getdata.h>

size_t gd_getdata64(DIRFILE *dirfile, const char *field_code, off64_t first_frame, off64_t first_sample, size_t num_frames, size_t num_samples, gd_type_t return_type, void *data_out);

DESCRIPTION
This version of gd_getdata(3) uses a 64-bit offset type, even if off_t is a 32-bit type. It is only available if one defines _LARGEFILE64_SOURCE. If off_t is a 64-bit type (i.e. if _FILE_OFFSET_BITS is defined to be 64), this function will be called gd_getdata(). Otherwise, gd_getdata() will be a version of this function which uses a 32-bit off_t.

SEE ALSO
gd_getdata(3), feature_test_macros(7)